Skip to main content
GET
/
commands
/
{command_id}
/
editor
/
thread
List Command Editor Threads
curl --request GET \
  --url https://analyst.heyhumm.ai/commands/{command_id}/editor/thread \
  --header 'Authorization: Bearer <token>'
{
  "threads": [
    {
      "id": "<string>",
      "organization_id": "<string>",
      "user_id": "<string>",
      "workflow_type": "<string>",
      "title": "<string>",
      "status": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "last_message": "<string>",
      "applied_at": "2023-11-07T05:31:56Z",
      "archived_at": "2023-11-07T05:31:56Z"
    }
  ],
  "next_offset": 123,
  "has_more": false
}

Documentation Index

Fetch the complete documentation index at: https://heyhumm.ai/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

command_id
string<uuid>
required

Command ID

Query Parameters

organization_id
string
required
query
string | null

Optional title/message search query

offset
integer
default:0

Pagination offset

Required range: x >= 0
limit
integer
default:20

Page size

Required range: 1 <= x <= 50

Response

Successful Response

Paginated command editor workflow threads.

threads
CommandEditorThreadResponse · object[]
required
next_offset
integer | null
has_more
boolean
default:false